List GoDaddy Auction listings
View as MarkdownPath Parameters
An identifier for a customer.
Query Parameters
Only include results for the specified domains. Use comma-separated string to include more than one domain. For example, one.com,two.info,three.biz
Only include results for the specified listing status.
Value in
- "FULFILLED"
Domain transfer time before this time, ISO 8601, in UTC. Defaults to last day of the previous month if not provided. Applicable only for listings in FULFILLED listingStatus.
iso-datetimeDomain transfer time after this time, ISO 8601, in UTC. Defaults to first day of the previous month if not provided. Applicable only for listings in FULFILLED listingStatus.
iso-datetimeMaximum number of items to return.
integer-positiveNumber of results to skip for pagination.
integer-positiveResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/customers/string/auctions/listings"{ "listings": [ { "listingId": 0, "domainName": "string", "domainCreatedAt": "string", "domainExpiresAt": "string", "domainRegistrarIanaId": 0, "pageViewsMonthly": 0, "revenueMonthly": 0, "auctionStartAt": "2022-04-01 02:07:14+00:00", "auctionEndAt": "2022-04-10 02:07:14+00:00", "auctionTransferAt": "2022-04-15 02:07:14+00:00", "auctionSoldAt": "2022-04-20 02:07:14+00:00", "auctionBookingAmountUsd": 0, "createdAt": "string", "updatedAt": "string" } ], "pagination": { "first": "string", "previous": "string", "next": "string", "last": "string", "total": 0 }}Last updated on
How is this guide?